Support » Plugin: hideShowPassword » Uncaught Reference

  • Resolved SooBahkDo

    (@soobahkdo)


    Hello,

    Just thought you’d want to know..

    hideShowPassword.js:11 Uncaught ReferenceError: jQuery is not defined
    at hideShowPassword.js:11
    at hideShowPassword.js:14
    public.js:22 Uncaught ReferenceError: jQuery is not defined
    at public.js:22

    Can these errors be addressed?

    Thanks

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author Barry Ceelen

    (@barryceelen)

    Hi @soobahkdo, thanks for reporting this.

    The error message means that jQuery is not loaded on the current page, and hideShowPassword.js and public.js are referencing it.

    I see no javascript errors in my test environment, can you share a link to the login screen where this is happening? (Note that the plugin is currently only designed to work on the default WordPress admin login screen).

    SooBahkDo

    (@soobahkdo)

    Hello Barry,

    This is occurring on subsites without a mapped top level domain on a WP4.8.2 multisite network. The network has multi-domains and domain mapping features active.

    Here is one log in page where you can experience the issue.

    https://institute.soobahkdo.org/wp-login.php

    On subsites that have a top level domain mapped to them, the issue is not present.
    Here is an example:
    https://soobahkdo.com/wp-login.php (mapped site is hq.soobahkdo.org)

    Any advice will be appreciated.

    Is there any difference between the WP hosted version of the plugin and the Gitub version? I notice modifications on git 16 days ago, but WP repository indicates this plugin has not been updated for 2 years. ??

    Thank you.

    Plugin Author Barry Ceelen

    (@barryceelen)

    Hi SooBahkDo,

    if you use the Chrome browser and look at the JavaScript console in its dev tools it will show a bunch lots of errors like:

    Mixed Content: The page at 'https://institute.soobahkdo.org/wp-login.php' was loaded over HTTPS, but requested an insecure script 'http://institute.soobahkdo.org/wp-includes/js/jquery/jquery.js?ver=1.12.4'. This request has been blocked; the content must be served over HTTPS.

    This means you are serving your page over HTTPS, but (some of) your scripts and styles are loaded over HTTP. The browser does not like that and doesn’t load them. (This is unrelated to the hideShowPassword plugin).

    As for the GitHub version, I started to clean up the plugin code. Haven’t had the time to finish that so it is not in the WordPress plugin repository yet.

    When you solve the HTTPS vs. HTTP problem, the one in the plugin repository should work as expected though.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Uncaught Reference’ is closed to new replies.